## kio-admin 1.0.0

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>

cmake_minimum_required(VERSION 3.22)
project(kio-admin VERSION 1.0)

set(CMAKE_CXX_STANDARD 20)
set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.98.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(FeatureSummary)
include(CheckIncludeFile)
include(CMakePackageConfigHelpers)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkNonGuiExecutable)
include(ECMMarkAsTest)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS KIO I18n)
find_package(PolkitQt${QT_MAJOR_VERSION}-1 REQUIRED)

add_subdirectory(src)
ki18n_install(po)

install(FILES org.kde.kio.admin.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"kio5_admin\")

add_subdirectory(fileaction)
add_subdirectory(helper)

macro(generate_and_use_interfaces)
    foreach(interface ${ARGV})
        qt_generate_dbus_interface(helper/${interface}.h org.kde.kio.admin.${interface}.xml OPTIONS -A)
        set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/org.kde.kio.admin.${interface}.xml PROPERTIES NO_NAMESPACE true)
        qt_add_dbus_interface(admin_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kio.admin.${interface}.xml interface_${interface})
    endforeach()
endmacro()

set(admin_SRCS)
generate_and_use_interfaces(
    chmodcommand
    chowncommand
    copycommand
    delcommand
    file
    getcommand
    listdircommand
    mkdircommand
    putcommand
    renamecommand
    statcommand)

kcoreaddons_add_plugin(admin SOURCES worker.cpp dbustypes.cpp ${admin_SRCS} INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kio")
target_link_libraries(admin KF5::KIOCore)
set_target_properties(admin PROPERTIES OUTPUT_NAME "admin")
set_target_properties(admin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf${QT_MAJOR_VERSION}/kio")

=== debian/changelog ===
kio-admin (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1024716)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Nov 2022 21:31:32 +0100

=== debian/control ===
Source: kio-admin
Section: kde
Priority: optional
Maintainer: Aurélien COUDERC <coucouf@debian.org>
Rules-Requires-Root: no
Build-Depends: cmake (>= 3.22~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.98.0~),
               gettext,
               libkf5auth-dev,
               libkf5codecs-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev (>= 5.98.0~),
               libkf5jobwidgets-dev,
               libkf5kio-dev (>= 5.98.0~),
               libkf5service-dev,
               libkf5solid-dev,
               libpolkit-qt5-1-dev,
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/system/kio-admin
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-admin
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-admin.git

Package: kio-admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: manage files as administrator using the admin:// KIO protocol
 kio-admin implements the admin:// protocol which gives administrative access
 to the entire system. This is achieved by talking, over D-Bus, with a
 root-level helper binary that in turn uses existing KIO infrastructure to run
 file:// operations in root-scope.
 .
 Simply put: admin:// is exactly like file:// but redirected over D-Bus to gain
 administrative privileges.

## kio-admin 23.08.0

=== debian/changelog ===
kio-admin (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:54:51 +0100

kio-admin (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:34:37 +0100

kio-admin (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:48:06 +0100

kio-admin (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update debian/upstream/signing-key.asc, copied from k3b
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:57:32 +0100

## kio-admin 23.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,20 @@
 # SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>
 
 cmake_minimum_required(VERSION 3.22)
-project(kio-admin VERSION 1.0)
+
+# KDE Application Version, managed by release script
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+
+project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})
 
 set(CMAKE_CXX_STANDARD 20)
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.98.0")
+set(KF_MIN_VERSION "5.98.0")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 include(FeatureSummary)
@@ -25,7 +32,7 @@
 include(KDEGitCommitHooks)
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS KIO I18n)
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO I18n)
 find_package(PolkitQt${QT_MAJOR_VERSION}-1 REQUIRED)
 
 add_subdirectory(src)

=== debian/changelog ===
kio-admin (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:59:55 +0100

## kio-admin 23.08.4

=== debian/changelog ===
kio-admin (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:16:04 +0000

kio-admin (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:35:40 +0000

kio-admin (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:31:57 +0100

## kio-admin 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,6 @@
     statcommand)
 
 kcoreaddons_add_plugin(admin SOURCES worker.cpp dbustypes.cpp ${admin_SRCS} INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kio")
-target_link_libraries(admin KF5::KIOCore)
+target_link_libraries(admin KF${QT_MAJOR_VERSION}::KIOCore)
 set_target_properties(admin PROPERTIES OUTPUT_NAME "admin")
 set_target_properties(admin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf${QT_MAJOR_VERSION}/kio")

=== src/fileaction/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>

kcoreaddons_add_plugin(fileaction SOURCES fileaction.cpp INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kfileitemaction")
set_target_properties(fileaction PROPERTIES OUTPUT_NAME "kio-admin")
target_link_libraries(fileaction KF${QT_MAJOR_VERSION}::I18n KF${QT_MAJOR_VERSION}::KIOWidgets)

=== debian/changelog ===
kio-admin (23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:42:30 +0200

kio-admin (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:06:01 +0000

kio-admin (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:01:52 +0000

kio-admin (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 14 Mar 2024 00:56:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kio-admin
 Section: kde
 Priority: optional
-Maintainer: Aurélien COUDERC <coucouf@debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurélien COUDERC <coucouf@debian.org>
 Rules-Requires-Root: no
 Build-Depends: cmake (>= 3.22~),
                debhelper-compat (= 13),
@@ -20,8 +21,8 @@
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/system/kio-admin
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-admin
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-admin.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-admin
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-admin
 
 Package: kio-admin
 Architecture: any

=== debian/watch ===
version=4

opts=repack,pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## kio-admin 24.12.0

=== debian/changelog ===
kio-admin (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 22:41:42 +0100

kio-admin (24.08.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 12:44:42 +0100

kio-admin (24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Added myself to the uploaders, made the Team the maintainer instead
    of myself.
  * Add upstream metadata.
  * kio-admin is now part of KDE Gear releases, adapt packaging
    accordingly.
  * Refresh upstream metadata.
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.08.2).
  * Build against Qt6 / KF6, update build-deps and deps with the info
    from cmake.
  * Switch to kf6 debhelper build sequence.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Nov 2024 01:17:09 +0100

=== debian/control ===
Source: kio-admin
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.22~),
               extra-cmake-modules (>= 5.98.0~),
               gettext,
               libkf6i18n-dev (>= 5.98.0~),
               libkf6kio-dev (>= 5.98.0~),
               libpolkit-qt6-1-dev,
               qt6-base-dev (>= 5.15.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/system/kio-admin
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-admin
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-admin.git

Package: kio-admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: manage files as administrator using the admin:// KIO protocol
 kio-admin implements the admin:// protocol which gives administrative access
 to the entire system. This is achieved by talking, over D-Bus, with a
 root-level helper binary that in turn uses existing KIO infrastructure to run
 file:// operations in root-scope.
 .
 Simply put: admin:// is exactly like file:// but redirected over D-Bus to gain
 administrative privileges.

## kio-admin 24.12.1

=== debian/changelog ===
kio-admin (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:32:04 +0000

kio-admin (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:12:41 +0000

kio-admin (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:09:02 +0000

kio-admin (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 14:53:09 +0000

kio-admin (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 14:40:38 +0000

## kio-admin 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.22)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})
@@ -31,7 +31,7 @@
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Gui)
 find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO I18n)
 find_package(PolkitQt${QT_MAJOR_VERSION}-1 REQUIRED)

=== debian/changelog ===
kio-admin (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:43:00 +0000

kio-admin (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:17:56 +0000

## kio-admin 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.22)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-admin (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:43:54 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,15 @@
                cmake (>= 3.22~),
                extra-cmake-modules (>= 5.98.0~),
                gettext,
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
                libkf6i18n-dev (>= 5.98.0~),
                libkf6kio-dev (>= 5.98.0~),
+               libpolkit-qt5-1-dev,
                libpolkit-qt6-1-dev,
                qt6-base-dev (>= 5.15.0~),
-Standards-Version: 4.7.0
+               qtbase5-dev (>= 5.15.0~),
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/system/kio-admin
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-admin
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-admin.git

## kio-admin 25.04.3

=== debian/changelog ===
kio-admin (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:45:07 +0100

kio-admin (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:47:59 +0100

kio-admin (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:07:58 +0100

kio-admin (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:51:07 +0100

## kio-admin 25.07.80

=== debian/changelog ===
kio-admin (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:12:42 +0100

## kio-admin 25.07.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-admin (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:47:45 +0100

## kio-admin 25.08.0

=== debian/changelog ===
kio-admin (25.08.0-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 08:53:29 +0000

kio-admin (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:12:13 +0000

kio-admin (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:48:38 +0000

kio-admin (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:38:07 +0000

kio-admin (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:07:38 +0000

kio-admin (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:30:44 +0000

kio-admin (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:04:06 +0000

kio-admin (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:22:28 +0000

kio-admin (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:23:35 +0000

kio-admin (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:09:07 +0000

kio-admin (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:41:28 +0000

kio-admin (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:58:25 +0000

kio-admin (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:29:26 +0000

kio-admin (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:21:53 +0000

kio-admin (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:04:13 +0000

kio-admin (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:18:46 +0000

kio-admin (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:03:26 +0000

kio-admin (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:51:42 +0000

kio-admin (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:28:45 +0000

kio-admin (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:11:03 +0000

kio-admin (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:06:25 +0000

kio-admin (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:54:15 +0000

kio-admin (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:38:19 +0000

kio-admin (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:38:34 +0000

kio-admin (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:14:30 +0000

kio-admin (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 17:08:19 +0000

## kio-admin 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-admin (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:54:20 +0100

kio-admin (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:24:50 +0100

=== debian/control ===
Source: kio-admin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Rules-Requires-Root: no
Build-Depends: cmake (>= 3.22~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.98.0~),
               gettext,
               libkf6i18n-dev (>= 5.98.0~),
               libkf6kio-dev (>= 5.98.0~),
               libpolkit-qt6-1-dev,
               qt6-base-dev (>= 5.15.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/system/kio-admin
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-admin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-admin

Package: kio-admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: manage files as administrator using the admin:// KIO protocol
 kio-admin implements the admin:// protocol which gives administrative access
 to the entire system. This is achieved by talking, over D-Bus, with a
 root-level helper binary that in turn uses existing KIO infrastructure to run
 file:// operations in root-scope.
 .
 Simply put: admin:// is exactly like file:// but redirected over D-Bus to gain
 administrative privileges.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz

## kio-admin 25.08.1+p24.04+vstable+git20250912.2138

=== debian/changelog ===
kio-admin (25.08.1+p24.04+vstable+git20250912.2138-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Sep 2025 21:38:26 +0000

kio-admin (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:45:48 +0000

## kio-admin 25.08.1+p24.04+vstable+git20251002.0404

=== debian/changelog ===
kio-admin (25.08.1+p24.04+vstable+git20251002.0404-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Oct 2025 04:04:21 +0000

## kio-admin 25.08.1+p24.04+vunstable+git20251003.1339

=== debian/changelog ===
kio-admin (25.08.1+p24.04+vunstable+git20251003.1339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 13:39:16 +0000

## kio-admin 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-admin (25.08.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Oct 2025 07:27:33 +0100

kio-admin (25.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Oct 2025 19:23:05 +0200

kio-admin (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:46:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Rules-Requires-Root: no
-Build-Depends: cmake (>= 3.22~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.22~),
                extra-cmake-modules (>= 5.98.0~),
                gettext,
                libkf6i18n-dev (>= 5.98.0~),
                libkf6kio-dev (>= 5.98.0~),
                libpolkit-qt6-1-dev,
                qt6-base-dev (>= 5.15.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/system/kio-admin
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-admin
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-admin

## kio-admin 25.08.2+p24.04+vstable+git20251015.1248

=== debian/changelog ===
kio-admin (25.08.2+p24.04+vstable+git20251015.1248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:48:41 +0000

kio-admin (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:18:18 +0000

=== debian/control ===
Source: kio-admin
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               kf6-kio-dev,
               libpolkit-qt6-1-dev,
               pkg-kde-tools-neon,
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/system/kio-admin
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kio-admin.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kio-admin
Maintainer: Neon CI <neon@kde.org>

Package: kio-admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Enables administrative access for KIO-enabled applications
 KIO Admin is a KIO worker plugin that enables KIO-aware applications
 (such as Dolphin, Kate or Gwenview) to access files as
 administrator/root.

## kio-admin 25.08.2+p24.04+vstable+git20251019.0149

=== debian/changelog ===
kio-admin (25.08.2+p24.04+vstable+git20251019.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:49:53 +0000

## kio-admin 25.08.2+p24.04+vstable+git20251031.0940

=== debian/changelog ===
kio-admin (25.08.2+p24.04+vstable+git20251031.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:40:24 +0000

## kio-admin 25.08.2+p24.04+vunstable+git20251011.0640

=== debian/changelog ===
kio-admin (25.08.2+p24.04+vunstable+git20251011.0640-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:40:13 +0000

## kio-admin 25.08.2+p24.04+vunstable+git20251020.1230

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-admin (25.08.2+p24.04+vunstable+git20251020.1230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:30:23 +0000

## kio-admin 25.08.3

=== debian/changelog ===
kio-admin (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:15:00 +0000

=== debian/control ===
Source: kio-admin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.22~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.98.0~),
               gettext,
               libkf6i18n-dev (>= 5.98.0~),
               libkf6kio-dev (>= 5.98.0~),
               libpolkit-qt6-1-dev,
               qt6-base-dev (>= 5.15.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/system/kio-admin
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-admin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-admin

Package: kio-admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: manage files as administrator using the admin:// KIO protocol
 kio-admin implements the admin:// protocol which gives administrative access
 to the entire system. This is achieved by talking, over D-Bus, with a
 root-level helper binary that in turn uses existing KIO infrastructure to run
 file:// operations in root-scope.
 .
 Simply put: admin:// is exactly like file:// but redirected over D-Bus to gain
 administrative privileges.

## kio-admin 25.08.3+p24.04+vunstable+git20251123.1901

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 cmake_minimum_required(VERSION 3.22)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
 set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
kio-admin (25.08.3+p24.04+vunstable+git20251123.1901-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 19:01:32 +0000

kio-admin (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:40 +1000

## kio-admin 25.08.3+p24.04+vunstable+git20251206.0803

=== debian/changelog ===
kio-admin (25.08.3+p24.04+vunstable+git20251206.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:03:27 +0000

## kio-admin 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.22)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-admin (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:52:55 +0000

## kio-admin 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-admin (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:06:32 +0000

## kio-admin 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-admin (25.12.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:19:27 +0000

kio-admin (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:26 +1000

## kio-admin 25.12.0+p24.04+vstable+git20251208.1129

=== debian/changelog ===
kio-admin (25.12.0+p24.04+vstable+git20251208.1129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:29:35 +0000

## kio-admin 25.12.0+p24.04+vstable+git20251231.0346

=== debian/changelog ===
kio-admin (25.12.0+p24.04+vstable+git20251231.0346-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:46:17 +0000

## kio-admin 25.12.0+p24.04+vstable+git20260102.1201

=== debian/changelog ===
kio-admin (25.12.0+p24.04+vstable+git20260102.1201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:01:58 +0000

## kio-admin 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kio-admin (25.12.1-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 21 Jan 2026 23:45:08 +0000

kio-admin (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:49 +1000

## kio-admin 25.12.1+p24.04+vstable+git20260116.1105

=== debian/changelog ===
kio-admin (25.12.1+p24.04+vstable+git20260116.1105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 11:05:02 +0000

## kio-admin 25.12.1+p24.04+vstable+git20260130.1031

=== debian/changelog ===
kio-admin (25.12.1+p24.04+vstable+git20260130.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:31:55 +0000

## kio-admin 25.12.1+p24.04+vunstable+git20260122.1423

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,16 +4,16 @@
 cmake_minimum_required(VERSION 3.22)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})
 
 set(CMAKE_CXX_STANDARD 20)
-set(QT_MIN_VERSION "5.15.0")
-set(KF_MIN_VERSION "5.98.0")
+set(QT_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.0.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -31,9 +31,9 @@
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Gui)
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO I18n)
-find_package(PolkitQt${QT_MAJOR_VERSION}-1 REQUIRED)
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Gui)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO I18n)
+find_package(PolkitQt6-1 REQUIRED)
 
 add_subdirectory(src)
 ki18n_install(po)

=== debian/changelog ===
kio-admin (25.12.1+p24.04+vunstable+git20260122.1423-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 14:23:50 +0000

## kio-admin 25.12.1+p24.04+vunstable+git20260201.0758

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 # SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>
 
-add_definitions(-DTRANSLATION_DOMAIN=\"kio5_admin\")
+add_definitions(-DTRANSLATION_DOMAIN=\"kio6_admin\")
 
 add_subdirectory(fileaction)
 add_subdirectory(helper)
@@ -28,7 +28,14 @@
     renamecommand
     statcommand)
 
-kcoreaddons_add_plugin(admin SOURCES worker.cpp dbustypes.cpp ${admin_SRCS} INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kio")
-target_link_libraries(admin KF${QT_MAJOR_VERSION}::KIOCore)
+ecm_qt_declare_logging_category(admin  HEADER kioadmin_debug.h IDENTIFIER KIOADMIN_LOG CATEGORY_NAME org.kde.kio.admin)
+
+kcoreaddons_add_plugin(admin SOURCES  kioadmin_debug.cpp worker.cpp dbustypes.cpp ${admin_SRCS} INSTALL_NAMESPACE "kf6/kio")
+target_link_libraries(admin
+    PUBLIC KF6::KIOCore
+    PRIVATE atomic
+    PolkitQt6-1::Core
+    Qt::Core
+    Qt::DBus)
 set_target_properties(admin PROPERTIES OUTPUT_NAME "admin")
-set_target_properties(admin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf${QT_MAJOR_VERSION}/kio")
+set_target_properties(admin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kio")

=== src/fileaction/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>

kcoreaddons_add_plugin(fileaction SOURCES fileaction.cpp ../kioadmin_debug.cpp INSTALL_NAMESPACE "kf6/kfileitemaction")
set_target_properties(fileaction PROPERTIES OUTPUT_NAME "kio-admin")
target_link_libraries(fileaction
    KF6::I18n
    KF6::KIOWidgets
    Qt::Core
    Qt::Gui
    Qt::Widgets)

=== src/helper/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"kio6_admin\")

add_executable(kio-admin-helper
    main.cpp
    auth.cpp
    busobject.cpp
    chmodcommand.cpp
    chowncommand.cpp
    copycommand.cpp
    delcommand.cpp
    file.cpp
    getcommand.cpp
    listdircommand.cpp
    mkdircommand.cpp
    putcommand.cpp
    renamecommand.cpp
    statcommand.cpp
    ../dbustypes.cpp
    ../kioadmin_debug.cpp)
    
target_link_libraries(kio-admin-helper
    KF6::KIOCore
    PolkitQt6-1::Core
    Qt::Core
    Qt::DBus)
install(TARGETS kio-admin-helper DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

install(FILES org.kde.kio.admin.conf DESTINATION ${KDE_INSTALL_DBUSDIR}/system.d)
install(FILES org.kde.kio.admin.policy DESTINATION ${KDE_INSTALL_DATADIR}/polkit-1/actions)
configure_file(org.kde.kio.admin.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kio.admin.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kio.admin.service DESTINATION ${KDE_INSTALL_DBUSSYSTEMSERVICEDIR})

=== debian/changelog ===
kio-admin (25.12.1+p24.04+vunstable+git20260201.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:58:25 +0000

## kio-admin 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,16 +4,16 @@
 cmake_minimum_required(VERSION 3.22)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kio-admin VERSION ${RELEASE_SERVICE_VERSION})
 
 set(CMAKE_CXX_STANDARD 20)
-set(QT_MIN_VERSION "6.5.0")
-set(KF_MIN_VERSION "6.0.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF_MIN_VERSION "5.98.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -31,9 +31,9 @@
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
 
-find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Gui)
-find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO I18n)
-find_package(PolkitQt6-1 REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Gui)
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO I18n)
+find_package(PolkitQt${QT_MAJOR_VERSION}-1 REQUIRED)
 
 add_subdirectory(src)
 ki18n_install(po)

=== debian/changelog ===
kio-admin (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:24:13 +0000

kio-admin (25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:08:27 +0000

kio-admin (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:05:13 +0000

kio-admin (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:22:21 +0000
